<bugID>1294355<Summary>Error when opening link from stack trace: Must supply a URL when opening view source ViewSourceBrowser.jsm:185:13</Summary><Description>User Agent: Mozilla/5.0 (Windows NT 10.0; WOW64; rv:51.0) Gecko/20100101 Firefox/51.0
Build ID: 20160810030202

Steps to reproduce:

1. Start Nightly
2. Open Browser Console (Ctrl+Shift+J)
3. Find any errors (or using steps to reproduce in Bug 1294314)
4. Open frame-link-source-inner (open twisty)
5. Hyperlink frame-link-filename


Actual results:

The following error occurs and a new blank tab will be opened.
Error: Must supply a URL when opening view source ViewSourceBrowser.jsm:185:13

Regression range:
https://hg.mozilla.org/integration/fx-team/pushloghtml?fromchange=24530e316b12694eebf9f853d6f7800f7656b579&amp;tochange=867a287c1fe16094f69ff40fa8a1b4d77efa030d


Expected results:

view-source should be opened.</Description></bugID>